package com.fr.plugin.sqy.kj.calendar.form;

import com.fanruan.api.design.DesignKit;
import com.fr.design.fun.impl.AbstractFormWidgetOptionProvider;
import com.fr.form.ui.Widget;
import com.fr.plugin.sqy.kj.calendar.PluginConstants;
import com.fr.plugin.sqy.kj.calendar.widget.FormCalendarWidget;

public class FormWidgetOptionProvider extends AbstractFormWidgetOptionProvider {
    @Override
    public Class<? extends Widget> classForWidget() {
        return FormCalendarWidget.class;
    }

    @Override
    public Class<?> appearanceForWidget() {
        return FormXDateEditor.class;
    }

    @Override
    public String iconPathForWidget() {
        return "com/fr/plugin/sqy/kj/calendar/log/calendar.png";
    }

    @Override
    public String nameForWidget() {
        return PluginConstants.KJ_NAME;
    }
}
