package com.fr.plugin.sqy.kj.calendar.cell;

import com.fanruan.api.design.DesignKit;
import com.fr.design.beans.BasicBeanPane;
import com.fr.design.fun.impl.AbstractCellWidgetOptionProvider;
import com.fr.form.ui.Widget;
import com.fr.plugin.sqy.kj.calendar.PluginConstants;
import com.fr.plugin.sqy.kj.calendar.pane.CalendarPane;
import com.fr.plugin.sqy.kj.calendar.widget.CellCalendarWidget;

public class CellWidgetOptionProvider extends AbstractCellWidgetOptionProvider {
    @Override
    public Class<? extends Widget> classForWidget() {
        return CellCalendarWidget.class;
    }

    @Override
    public Class<? extends BasicBeanPane<? extends Widget>> appearanceForWidget() {
        return CalendarPane.class;
    }

    @Override
    public String iconPathForWidget() {
        return "com/fr/plugin/sqy/kj/calendar/log/calendar.png";
    }

    @Override
    public String nameForWidget() {
        return PluginConstants.KJ_NAME;
    }
}
